﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="AspCast.MainPage" %>

<%@ Register Assembly="DotSpatial.WebControls" Namespace="DotSpatial.WebControls"
    TagPrefix="dswc" %>

<!DOCTYPE html>
<html>
<head runat="server">
	<title>AspCast</title>
</head>
<body>
    <form id="MainForm" runat="server">
    <div>
        <div id="LegendDiv" style="position:absolute; left:3px; top:3px; bottom:3px; width:230px; border:1px solid black; overflow: auto;">
            <dswc:WebLegend ID="Legend" runat="server" Width="100%" Font-Names="Arial,Helvetica,sans-serif" Font-Size="10pt">
                <SelectedNodeStyle BackColor="#33CCFF" BorderColor="#000099" />
            </dswc:WebLegend>
            <input id="RefreshButton" type="submit" value=" " title="Refresh map" runat="server"
                   style="height:28px; width:28px; position:absolute; right:3px; top:3px; bottom:3px; left: 199px; 
                   background-image: url(Images/Refresh.gif); border-width: 2px;" />
        </div>

        <div id="ToolsDiv" style="padding:3px; position:absolute; left:236px;top:3px; right:3px; height:33; border: 1px solid black;">
            <dswc:WebToolBar ID="ToolBar" runat="server" Width="80%" />
        </div>

        <div id="MapDiv" style="position:absolute; left:236px;top:36px; right:3px; bottom:3px; border: 1px solid black">
            <dswc:WebMap ID="Map" runat="server" Height="100%" Width="100%" />
        </div>    
    </div>
    </form>
</body>
</html>
