{ Parsed from GDAL.framework ogr_api.h }

{$ifndef OGR_API_H_INCLUDED}

{$ifdef DEBUG}
{$ifdef TYPES}
type
  OGRGeometryH = OpaqueType;
{$endif}

{$else}
{$ifdef TYPES}
type
  OGRGeometryH = ^pointer;
{$endif}

{$endif}

{$ifndef _DEFINED_OGRSpatialReferenceH}
{$define _DEFINED_OGRSpatialReferenceH}

{$ifdef DEBUG}
{$ifdef TYPES}
type
  OGRSpatialReferenceH = OpaqueType;
  OGRCoordinateTransformationH = OpaqueType;
{$endif}

{$else}
{$ifdef TYPES}
type
  OGRSpatialReferenceH = ^pointer;
  OGRCoordinateTransformationH = ^pointer;
{$endif}

{$endif}
{$endif}
{$ifdef FUNCTIONS}
function OGR_G_CreateFromWkb(param1: charPtr; param2: OGRSpatialReferenceH; param3: OGRGeometryH; param4: cint): OGRErr; cdecl; external gdallib;
function OGR_G_CreateFromWkt(param1: charPtrPtr; param2: OGRSpatialReferenceH; param3: OGRGeometryH): OGRErr; cdecl; external gdallib;
function OGR_G_CreateFromFgf(param1: charPtr; param2: OGRSpatialReferenceH; param3: OGRGeometryH; param4: cint; param5: cintPtr): OGRErr; cdecl; external gdallib;
procedure OGR_G_DestroyGeometry(param1: OGRGeometryH); cdecl; external gdallib;
function OGR_G_CreateGeometry(param1: OGRwkbGeometryType): OGRGeometryH; cdecl; external gdallib;
function OGR_G_ApproximateArcAngles(dfCenterX: double; dfCenterY: double; dfZ: double; dfPrimaryRadius: double; dfSecondaryAxis: double; dfRotation: double; dfStartAngle: double; dfEndAngle: double; dfMaxAngleStepSizeDegrees: double): OGRGeometryH; cdecl; external gdallib;
function OGR_G_ForceToPolygon(param1: OGRGeometryH): OGRGeometryH; cdecl; external gdallib;
function OGR_G_ForceToLineString(param1: OGRGeometryH): OGRGeometryH; cdecl; external gdallib;
function OGR_G_ForceToMultiPolygon(param1: OGRGeometryH): OGRGeometryH; cdecl; external gdallib;
function OGR_G_ForceToMultiPoint(param1: OGRGeometryH): OGRGeometryH; cdecl; external gdallib;
function OGR_G_ForceToMultiLineString(param1: OGRGeometryH): OGRGeometryH; cdecl; external gdallib;
function OGR_G_GetDimension(param1: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_GetCoordinateDimension(param1: OGRGeometryH): cint; cdecl; external gdallib;
procedure OGR_G_SetCoordinateDimension(param1: OGRGeometryH; param2: cint); cdecl; external gdallib;
function OGR_G_Clone(param1: OGRGeometryH): OGRGeometryH; cdecl; external gdallib;
procedure OGR_G_GetEnvelope(param1: OGRGeometryH; param2: OGREnvelopePtr); cdecl; external gdallib;
procedure OGR_G_GetEnvelope3D(param1: OGRGeometryH; param2: OGREnvelope3DPtr); cdecl; external gdallib;
function OGR_G_ImportFromWkb(param1: OGRGeometryH; param2: charPtr; param3: cint): OGRErr; cdecl; external gdallib;
function OGR_G_ExportToWkb(param1: OGRGeometryH; param2: OGRwkbByteOrder; param3: charPtr): OGRErr; cdecl; external gdallib;
function OGR_G_WkbSize(hGeom: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_ImportFromWkt(param1: OGRGeometryH; param2: charPtrPtr): OGRErr; cdecl; external gdallib;
function OGR_G_ExportToWkt(param1: OGRGeometryH; param2: charPtrPtr): OGRErr; cdecl; external gdallib;
function OGR_G_GetGeometryType(param1: OGRGeometryH): OGRwkbGeometryType; cdecl; external gdallib;
function OGR_G_GetGeometryName(param1: OGRGeometryH): charPtr; cdecl; external gdallib;
procedure OGR_G_DumpReadable(param1: OGRGeometryH; param2: FILEPtr; param3: charPtr); cdecl; external gdallib;
procedure OGR_G_FlattenTo2D(param1: OGRGeometryH); cdecl; external gdallib;
procedure OGR_G_CloseRings(param1: OGRGeometryH); cdecl; external gdallib;
function OGR_G_CreateFromGML(param1: charPtr): OGRGeometryH; cdecl; external gdallib;
function OGR_G_ExportToGML(param1: OGRGeometryH): charPtr; cdecl; external gdallib;
function OGR_G_ExportToGMLEx(param1: OGRGeometryH; papszOptions: charPtrPtr): charPtr; cdecl; external gdallib;
{$endif}

{$if (defined(_CPL_MINIXML_H_INCLUDED))}
{$ifdef FUNCTIONS}
function OGR_G_CreateFromGMLTree(param1: CPLXMLNodePtr): OGRGeometryH; cdecl; external gdallib;
function OGR_G_ExportToGMLTree(param1: OGRGeometryH): CPLXMLNodePtr; cdecl; external gdallib;
function OGR_G_ExportEnvelopeToGMLTree(param1: OGRGeometryH): CPLXMLNodePtr; cdecl; external gdallib;
{$endif}

{$ifend}
{$ifdef FUNCTIONS}
function OGR_G_ExportToKML(param1: OGRGeometryH; pszAltitudeMode: charPtr): charPtr; cdecl; external gdallib;
function OGR_G_ExportToJson(param1: OGRGeometryH): charPtr; cdecl; external gdallib;
function OGR_G_ExportToJsonEx(param1: OGRGeometryH; papszOptions: charPtrPtr): charPtr; cdecl; external gdallib;
function OGR_G_CreateGeometryFromJson(param1: charPtr): OGRGeometryH; cdecl; external gdallib;
procedure OGR_G_AssignSpatialReference(param1: OGRGeometryH; param2: OGRSpatialReferenceH); cdecl; external gdallib;
function OGR_G_GetSpatialReference(param1: OGRGeometryH): OGRSpatialReferenceH; cdecl; external gdallib;
function OGR_G_Transform(param1: OGRGeometryH; param2: OGRCoordinateTransformationH): OGRErr; cdecl; external gdallib;
function OGR_G_TransformTo(param1: OGRGeometryH; param2: OGRSpatialReferenceH): OGRErr; cdecl; external gdallib;
function OGR_G_Simplify(hThis: OGRGeometryH; tolerance: double): OGRGeometryH; cdecl; external gdallib;
function OGR_G_SimplifyPreserveTopology(hThis: OGRGeometryH; tolerance: double): OGRGeometryH; cdecl; external gdallib;
procedure OGR_G_Segmentize(hGeom: OGRGeometryH; dfMaxLength: double); cdecl; external gdallib;
function OGR_G_Intersects(param1: OGRGeometryH; param2: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_Equals(param1: OGRGeometryH; param2: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_Disjoint(param1: OGRGeometryH; param2: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_Touches(param1: OGRGeometryH; param2: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_Crosses(param1: OGRGeometryH; param2: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_Within(param1: OGRGeometryH; param2: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_Contains(param1: OGRGeometryH; param2: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_Overlaps(param1: OGRGeometryH; param2: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_Boundary(param1: OGRGeometryH): OGRGeometryH; cdecl; external gdallib;
function OGR_G_ConvexHull(param1: OGRGeometryH): OGRGeometryH; cdecl; external gdallib;
function OGR_G_Buffer(param1: OGRGeometryH; param2: double; param3: cint): OGRGeometryH; cdecl; external gdallib;
function OGR_G_Intersection(param1: OGRGeometryH; param2: OGRGeometryH): OGRGeometryH; cdecl; external gdallib;
function OGR_G_Union(param1: OGRGeometryH; param2: OGRGeometryH): OGRGeometryH; cdecl; external gdallib;
function OGR_G_UnionCascaded(param1: OGRGeometryH): OGRGeometryH; cdecl; external gdallib;
function OGR_G_PointOnSurface(param1: OGRGeometryH): OGRGeometryH; cdecl; external gdallib;
function OGR_G_Difference(param1: OGRGeometryH; param2: OGRGeometryH): OGRGeometryH; cdecl; external gdallib;
function OGR_G_SymDifference(param1: OGRGeometryH; param2: OGRGeometryH): OGRGeometryH; cdecl; external gdallib;
function OGR_G_Distance(param1: OGRGeometryH; param2: OGRGeometryH): double; cdecl; external gdallib;
function OGR_G_Length(param1: OGRGeometryH): double; cdecl; external gdallib;
function OGR_G_Area(param1: OGRGeometryH): double; cdecl; external gdallib;
function OGR_G_Centroid(param1: OGRGeometryH; param2: OGRGeometryH): cint; cdecl; external gdallib;
procedure OGR_G_Empty(param1: OGRGeometryH); cdecl; external gdallib;
function OGR_G_IsEmpty(param1: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_IsValid(param1: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_IsSimple(param1: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_IsRing(param1: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_Polygonize(param1: OGRGeometryH): OGRGeometryH; cdecl; external gdallib;
function OGR_G_GetPointCount(param1: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_GetPoints(hGeom: OGRGeometryH; pabyX: pointer; nXStride: cint; pabyY: pointer; nYStride: cint; pabyZ: pointer; nZStride: cint): cint; cdecl; external gdallib;
function OGR_G_GetX(param1: OGRGeometryH; param2: cint): double; cdecl; external gdallib;
function OGR_G_GetY(param1: OGRGeometryH; param2: cint): double; cdecl; external gdallib;
function OGR_G_GetZ(param1: OGRGeometryH; param2: cint): double; cdecl; external gdallib;
procedure OGR_G_GetPoint(param1: OGRGeometryH; iPoint: cint; param3: doublePtr; param4: doublePtr; param5: doublePtr); cdecl; external gdallib;
procedure OGR_G_SetPointCount(hGeom: OGRGeometryH; nNewPointCount: cint); cdecl; external gdallib;
procedure OGR_G_SetPoint(param1: OGRGeometryH; iPoint: cint; param3: double; param4: double; param5: double); cdecl; external gdallib;
procedure OGR_G_SetPoint_2D(param1: OGRGeometryH; iPoint: cint; param3: double; param4: double); cdecl; external gdallib;
procedure OGR_G_AddPoint(param1: OGRGeometryH; param2: double; param3: double; param4: double); cdecl; external gdallib;
procedure OGR_G_AddPoint_2D(param1: OGRGeometryH; param2: double; param3: double); cdecl; external gdallib;
procedure OGR_G_SetPoints(hGeom: OGRGeometryH; nPointsIn: cint; pabyX: pointer; nXStride: cint; pabyY: pointer; nYStride: cint; pabyZ: pointer; nZStride: cint); cdecl; external gdallib;
function OGR_G_GetGeometryCount(param1: OGRGeometryH): cint; cdecl; external gdallib;
function OGR_G_GetGeometryRef(param1: OGRGeometryH; param2: cint): OGRGeometryH; cdecl; external gdallib;
function OGR_G_AddGeometry(param1: OGRGeometryH; param2: OGRGeometryH): OGRErr; cdecl; external gdallib;
function OGR_G_AddGeometryDirectly(param1: OGRGeometryH; param2: OGRGeometryH): OGRErr; cdecl; external gdallib;
function OGR_G_RemoveGeometry(param1: OGRGeometryH; param2: cint; param3: cint): OGRErr; cdecl; external gdallib;
function OGRBuildPolygonFromEdges(hLinesAsCollection: OGRGeometryH; bBestEffort: cint; bAutoClose: cint; dfTolerance: double; peErr: OGRErrPtr): OGRGeometryH; cdecl; external gdallib;
function OGRSetGenerate_DB2_V72_BYTE_ORDER(bGenerate_DB2_V72_BYTE_ORDER: cint): OGRErr; cdecl; external gdallib;
function OGRGetGenerate_DB2_V72_BYTE_ORDER: cint; cdecl; external gdallib;
{$endif}

{$ifdef DEBUG}
{$ifdef TYPES}
type
  OGRFieldDefnH = OpaqueType;
  OGRFeatureDefnH = OpaqueType;
  OGRFeatureH = OpaqueType;
  OGRStyleTableH = OpaqueType;
{$endif}

{$else}
{$ifdef TYPES}
type
  OGRFieldDefnH = ^pointer;
  OGRFeatureDefnH = ^pointer;
  OGRFeatureH = ^pointer;
  OGRStyleTableH = ^pointer;
{$endif}

{$endif}
{$ifdef TYPES}
type
  OGRGeomFieldDefnH = OpaqueType;
{$endif}

{$ifdef FUNCTIONS}
function OGR_Fld_Create(param1: charPtr; param2: OGRFieldType): OGRFieldDefnH; cdecl; external gdallib;
procedure OGR_Fld_Destroy(param1: OGRFieldDefnH); cdecl; external gdallib;
procedure OGR_Fld_SetName(param1: OGRFieldDefnH; param2: charPtr); cdecl; external gdallib;
function OGR_Fld_GetNameRef(param1: OGRFieldDefnH): charPtr; cdecl; external gdallib;
function OGR_Fld_GetType(param1: OGRFieldDefnH): OGRFieldType; cdecl; external gdallib;
procedure OGR_Fld_SetType(param1: OGRFieldDefnH; param2: OGRFieldType); cdecl; external gdallib;
function OGR_Fld_GetJustify(param1: OGRFieldDefnH): OGRJustification; cdecl; external gdallib;
procedure OGR_Fld_SetJustify(param1: OGRFieldDefnH; param2: OGRJustification); cdecl; external gdallib;
function OGR_Fld_GetWidth(param1: OGRFieldDefnH): cint; cdecl; external gdallib;
procedure OGR_Fld_SetWidth(param1: OGRFieldDefnH; param2: cint); cdecl; external gdallib;
function OGR_Fld_GetPrecision(param1: OGRFieldDefnH): cint; cdecl; external gdallib;
procedure OGR_Fld_SetPrecision(param1: OGRFieldDefnH; param2: cint); cdecl; external gdallib;
procedure OGR_Fld_Set(param1: OGRFieldDefnH; param2: charPtr; param3: OGRFieldType; param4: cint; param5: cint; param6: OGRJustification); cdecl; external gdallib;
function OGR_Fld_IsIgnored(hDefn: OGRFieldDefnH): cint; cdecl; external gdallib;
procedure OGR_Fld_SetIgnored(hDefn: OGRFieldDefnH; param2: cint); cdecl; external gdallib;
function OGR_GetFieldTypeName(param1: OGRFieldType): charPtr; cdecl; external gdallib;
function OGR_GFld_Create(param1: charPtr; param2: OGRwkbGeometryType): OGRGeomFieldDefnH; cdecl; external gdallib;
procedure OGR_GFld_Destroy(param1: OGRGeomFieldDefnH); cdecl; external gdallib;
procedure OGR_GFld_SetName(param1: OGRGeomFieldDefnH; param2: charPtr); cdecl; external gdallib;
function OGR_GFld_GetNameRef(param1: OGRGeomFieldDefnH): charPtr; cdecl; external gdallib;
function OGR_GFld_GetType(param1: OGRGeomFieldDefnH): OGRwkbGeometryType; cdecl; external gdallib;
procedure OGR_GFld_SetType(param1: OGRGeomFieldDefnH; param2: OGRwkbGeometryType); cdecl; external gdallib;
function OGR_GFld_GetSpatialRef(param1: OGRGeomFieldDefnH): OGRSpatialReferenceH; cdecl; external gdallib;
procedure OGR_GFld_SetSpatialRef(param1: OGRGeomFieldDefnH; hSRS: OGRSpatialReferenceH); cdecl; external gdallib;
function OGR_GFld_IsIgnored(hDefn: OGRGeomFieldDefnH): cint; cdecl; external gdallib;
procedure OGR_GFld_SetIgnored(hDefn: OGRGeomFieldDefnH; param2: cint); cdecl; external gdallib;
function OGR_FD_Create(param1: charPtr): OGRFeatureDefnH; cdecl; external gdallib;
procedure OGR_FD_Destroy(param1: OGRFeatureDefnH); cdecl; external gdallib;
procedure OGR_FD_Release(param1: OGRFeatureDefnH); cdecl; external gdallib;
function OGR_FD_GetName(param1: OGRFeatureDefnH): charPtr; cdecl; external gdallib;
function OGR_FD_GetFieldCount(param1: OGRFeatureDefnH): cint; cdecl; external gdallib;
function OGR_FD_GetFieldDefn(param1: OGRFeatureDefnH; param2: cint): OGRFieldDefnH; cdecl; external gdallib;
function OGR_FD_GetFieldIndex(param1: OGRFeatureDefnH; param2: charPtr): cint; cdecl; external gdallib;
procedure OGR_FD_AddFieldDefn(param1: OGRFeatureDefnH; param2: OGRFieldDefnH); cdecl; external gdallib;
function OGR_FD_DeleteFieldDefn(hDefn: OGRFeatureDefnH; iField: cint): OGRErr; cdecl; external gdallib;
function OGR_FD_ReorderFieldDefns(hDefn: OGRFeatureDefnH; panMap: cintPtr): OGRErr; cdecl; external gdallib;
function OGR_FD_GetGeomType(param1: OGRFeatureDefnH): OGRwkbGeometryType; cdecl; external gdallib;
procedure OGR_FD_SetGeomType(param1: OGRFeatureDefnH; param2: OGRwkbGeometryType); cdecl; external gdallib;
function OGR_FD_IsGeometryIgnored(param1: OGRFeatureDefnH): cint; cdecl; external gdallib;
procedure OGR_FD_SetGeometryIgnored(param1: OGRFeatureDefnH; param2: cint); cdecl; external gdallib;
function OGR_FD_IsStyleIgnored(param1: OGRFeatureDefnH): cint; cdecl; external gdallib;
procedure OGR_FD_SetStyleIgnored(param1: OGRFeatureDefnH; param2: cint); cdecl; external gdallib;
function OGR_FD_Reference(param1: OGRFeatureDefnH): cint; cdecl; external gdallib;
function OGR_FD_Dereference(param1: OGRFeatureDefnH): cint; cdecl; external gdallib;
function OGR_FD_GetReferenceCount(param1: OGRFeatureDefnH): cint; cdecl; external gdallib;
function OGR_FD_GetGeomFieldCount(hFDefn: OGRFeatureDefnH): cint; cdecl; external gdallib;
function OGR_FD_GetGeomFieldDefn(hFDefn: OGRFeatureDefnH; i: cint): OGRGeomFieldDefnH; cdecl; external gdallib;
function OGR_FD_GetGeomFieldIndex(hFDefn: OGRFeatureDefnH; pszName: charPtr): cint; cdecl; external gdallib;
procedure OGR_FD_AddGeomFieldDefn(hFDefn: OGRFeatureDefnH; hGFldDefn: OGRGeomFieldDefnH); cdecl; external gdallib;
function OGR_FD_DeleteGeomFieldDefn(hFDefn: OGRFeatureDefnH; iGeomField: cint): OGRErr; cdecl; external gdallib;
function OGR_FD_IsSame(hFDefn: OGRFeatureDefnH; hOtherFDefn: OGRFeatureDefnH): cint; cdecl; external gdallib;
function OGR_F_Create(param1: OGRFeatureDefnH): OGRFeatureH; cdecl; external gdallib;
procedure OGR_F_Destroy(param1: OGRFeatureH); cdecl; external gdallib;
function OGR_F_GetDefnRef(param1: OGRFeatureH): OGRFeatureDefnH; cdecl; external gdallib;
function OGR_F_SetGeometryDirectly(param1: OGRFeatureH; param2: OGRGeometryH): OGRErr; cdecl; external gdallib;
function OGR_F_SetGeometry(param1: OGRFeatureH; param2: OGRGeometryH): OGRErr; cdecl; external gdallib;
function OGR_F_GetGeometryRef(param1: OGRFeatureH): OGRGeometryH; cdecl; external gdallib;
function OGR_F_StealGeometry(param1: OGRFeatureH): OGRGeometryH; cdecl; external gdallib;
function OGR_F_Clone(param1: OGRFeatureH): OGRFeatureH; cdecl; external gdallib;
function OGR_F_Equal(param1: OGRFeatureH; param2: OGRFeatureH): cint; cdecl; external gdallib;
function OGR_F_GetFieldCount(param1: OGRFeatureH): cint; cdecl; external gdallib;
function OGR_F_GetFieldDefnRef(param1: OGRFeatureH; param2: cint): OGRFieldDefnH; cdecl; external gdallib;
function OGR_F_GetFieldIndex(param1: OGRFeatureH; param2: charPtr): cint; cdecl; external gdallib;
function OGR_F_IsFieldSet(param1: OGRFeatureH; param2: cint): cint; cdecl; external gdallib;
procedure OGR_F_UnsetField(param1: OGRFeatureH; param2: cint); cdecl; external gdallib;
function OGR_F_GetRawFieldRef(param1: OGRFeatureH; param2: cint): OGRFieldPtr; cdecl; external gdallib;
function OGR_F_GetFieldAsInteger(param1: OGRFeatureH; param2: cint): cint; cdecl; external gdallib;
function OGR_F_GetFieldAsDouble(param1: OGRFeatureH; param2: cint): double; cdecl; external gdallib;
function OGR_F_GetFieldAsString(param1: OGRFeatureH; param2: cint): charPtr; cdecl; external gdallib;
function OGR_F_GetFieldAsIntegerList(param1: OGRFeatureH; param2: cint; param3: cintPtr): cintPtr; cdecl; external gdallib;
function OGR_F_GetFieldAsDoubleList(param1: OGRFeatureH; param2: cint; param3: cintPtr): doublePtr; cdecl; external gdallib;
function OGR_F_GetFieldAsStringList(param1: OGRFeatureH; param2: cint): charPtrPtr; cdecl; external gdallib;
function OGR_F_GetFieldAsBinary(param1: OGRFeatureH; param2: cint; param3: cintPtr): GBytePtr; cdecl; external gdallib;
function OGR_F_GetFieldAsDateTime(param1: OGRFeatureH; param2: cint; param3: cintPtr; param4: cintPtr; param5: cintPtr; param6: cintPtr; param7: cintPtr; param8: cintPtr; param9: cintPtr): cint; cdecl; external gdallib;
procedure OGR_F_SetFieldInteger(param1: OGRFeatureH; param2: cint; param3: cint); cdecl; external gdallib;
procedure OGR_F_SetFieldDouble(param1: OGRFeatureH; param2: cint; param3: double); cdecl; external gdallib;
procedure OGR_F_SetFieldString(param1: OGRFeatureH; param2: cint; param3: charPtr); cdecl; external gdallib;
procedure OGR_F_SetFieldIntegerList(param1: OGRFeatureH; param2: cint; param3: cint; param4: cintPtr); cdecl; external gdallib;
procedure OGR_F_SetFieldDoubleList(param1: OGRFeatureH; param2: cint; param3: cint; param4: doublePtr); cdecl; external gdallib;
procedure OGR_F_SetFieldStringList(param1: OGRFeatureH; param2: cint; param3: charPtrPtr); cdecl; external gdallib;
procedure OGR_F_SetFieldRaw(param1: OGRFeatureH; param2: cint; param3: OGRFieldPtr); cdecl; external gdallib;
procedure OGR_F_SetFieldBinary(param1: OGRFeatureH; param2: cint; param3: cint; param4: GBytePtr); cdecl; external gdallib;
procedure OGR_F_SetFieldDateTime(param1: OGRFeatureH; param2: cint; param3: cint; param4: cint; param5: cint; param6: cint; param7: cint; param8: cint; param9: cint); cdecl; external gdallib;
function OGR_F_GetGeomFieldCount(hFeat: OGRFeatureH): cint; cdecl; external gdallib;
function OGR_F_GetGeomFieldDefnRef(hFeat: OGRFeatureH; iField: cint): OGRGeomFieldDefnH; cdecl; external gdallib;
function OGR_F_GetGeomFieldIndex(hFeat: OGRFeatureH; pszName: charPtr): cint; cdecl; external gdallib;
function OGR_F_GetGeomFieldRef(hFeat: OGRFeatureH; iField: cint): OGRGeometryH; cdecl; external gdallib;
function OGR_F_SetGeomFieldDirectly(hFeat: OGRFeatureH; iField: cint; hGeom: OGRGeometryH): OGRErr; cdecl; external gdallib;
function OGR_F_SetGeomField(hFeat: OGRFeatureH; iField: cint; hGeom: OGRGeometryH): OGRErr; cdecl; external gdallib;
function OGR_F_GetFID(param1: OGRFeatureH): clong; cdecl; external gdallib;
function OGR_F_SetFID(param1: OGRFeatureH; param2: clong): OGRErr; cdecl; external gdallib;
procedure OGR_F_DumpReadable(param1: OGRFeatureH; param2: FILEPtr); cdecl; external gdallib;
function OGR_F_SetFrom(param1: OGRFeatureH; param2: OGRFeatureH; param3: cint): OGRErr; cdecl; external gdallib;
function OGR_F_SetFromWithMap(param1: OGRFeatureH; param2: OGRFeatureH; param3: cint; param4: cintPtr): OGRErr; cdecl; external gdallib;
function OGR_F_GetStyleString(param1: OGRFeatureH): charPtr; cdecl; external gdallib;
procedure OGR_F_SetStyleString(param1: OGRFeatureH; param2: charPtr); cdecl; external gdallib;
procedure OGR_F_SetStyleStringDirectly(param1: OGRFeatureH; param2: charPtr); cdecl; external gdallib;
function OGR_F_GetStyleTable(param1: OGRFeatureH): OGRStyleTableH; cdecl; external gdallib;
procedure OGR_F_SetStyleTableDirectly(param1: OGRFeatureH; param2: OGRStyleTableH); cdecl; external gdallib;
procedure OGR_F_SetStyleTable(param1: OGRFeatureH; param2: OGRStyleTableH); cdecl; external gdallib;
{$endif}

{$ifdef DEBUG}
{$ifdef TYPES}
type
  OGRLayerH = OpaqueType;
  OGRDataSourceH = OpaqueType;
  OGRSFDriverH = OpaqueType;
{$endif}

{$else}
{$ifdef TYPES}
type
  OGRLayerH = ^pointer;
  OGRDataSourceH = ^pointer;
  OGRSFDriverH = ^pointer;
{$endif}

{$endif}
{$ifdef FUNCTIONS}
function OGR_L_GetName(param1: OGRLayerH): charPtr; cdecl; external gdallib;
function OGR_L_GetGeomType(param1: OGRLayerH): OGRwkbGeometryType; cdecl; external gdallib;
function OGR_L_GetSpatialFilter(param1: OGRLayerH): OGRGeometryH; cdecl; external gdallib;
procedure OGR_L_SetSpatialFilter(param1: OGRLayerH; param2: OGRGeometryH); cdecl; external gdallib;
procedure OGR_L_SetSpatialFilterRect(param1: OGRLayerH; param2: double; param3: double; param4: double; param5: double); cdecl; external gdallib;
procedure OGR_L_SetSpatialFilterEx(param1: OGRLayerH; iGeomField: cint; hGeom: OGRGeometryH); cdecl; external gdallib;
procedure OGR_L_SetSpatialFilterRectEx(param1: OGRLayerH; iGeomField: cint; dfMinX: double; dfMinY: double; dfMaxX: double; dfMaxY: double); cdecl; external gdallib;
function OGR_L_SetAttributeFilter(param1: OGRLayerH; param2: charPtr): OGRErr; cdecl; external gdallib;
procedure OGR_L_ResetReading(param1: OGRLayerH); cdecl; external gdallib;
function OGR_L_GetNextFeature(param1: OGRLayerH): OGRFeatureH; cdecl; external gdallib;
function OGR_L_SetNextByIndex(param1: OGRLayerH; param2: clong): OGRErr; cdecl; external gdallib;
function OGR_L_GetFeature(param1: OGRLayerH; param2: clong): OGRFeatureH; cdecl; external gdallib;
function OGR_L_SetFeature(param1: OGRLayerH; param2: OGRFeatureH): OGRErr; cdecl; external gdallib;
function OGR_L_CreateFeature(param1: OGRLayerH; param2: OGRFeatureH): OGRErr; cdecl; external gdallib;
function OGR_L_DeleteFeature(param1: OGRLayerH; param2: clong): OGRErr; cdecl; external gdallib;
function OGR_L_GetLayerDefn(param1: OGRLayerH): OGRFeatureDefnH; cdecl; external gdallib;
function OGR_L_GetSpatialRef(param1: OGRLayerH): OGRSpatialReferenceH; cdecl; external gdallib;
function OGR_L_FindFieldIndex(param1: OGRLayerH; param2: charPtr; bExactMatch: cint): cint; cdecl; external gdallib;
function OGR_L_GetFeatureCount(param1: OGRLayerH; param2: cint): cint; cdecl; external gdallib;
function OGR_L_GetExtent(param1: OGRLayerH; param2: OGREnvelopePtr; param3: cint): OGRErr; cdecl; external gdallib;
function OGR_L_GetExtentEx(param1: OGRLayerH; iGeomField: cint; psExtent: OGREnvelopePtr; bForce: cint): OGRErr; cdecl; external gdallib;
function OGR_L_TestCapability(param1: OGRLayerH; param2: charPtr): cint; cdecl; external gdallib;
function OGR_L_CreateField(param1: OGRLayerH; param2: OGRFieldDefnH; param3: cint): OGRErr; cdecl; external gdallib;
function OGR_L_CreateGeomField(hLayer: OGRLayerH; hFieldDefn: OGRGeomFieldDefnH; bForce: cint): OGRErr; cdecl; external gdallib;
function OGR_L_DeleteField(param1: OGRLayerH; iField: cint): OGRErr; cdecl; external gdallib;
function OGR_L_ReorderFields(param1: OGRLayerH; panMap: cintPtr): OGRErr; cdecl; external gdallib;
function OGR_L_ReorderField(param1: OGRLayerH; iOldFieldPos: cint; iNewFieldPos: cint): OGRErr; cdecl; external gdallib;
function OGR_L_AlterFieldDefn(param1: OGRLayerH; iField: cint; hNewFieldDefn: OGRFieldDefnH; nFlags: cint): OGRErr; cdecl; external gdallib;
function OGR_L_StartTransaction(param1: OGRLayerH): OGRErr; cdecl; external gdallib;
function OGR_L_CommitTransaction(param1: OGRLayerH): OGRErr; cdecl; external gdallib;
function OGR_L_RollbackTransaction(param1: OGRLayerH): OGRErr; cdecl; external gdallib;
function OGR_L_Reference(param1: OGRLayerH): cint; cdecl; external gdallib;
function OGR_L_Dereference(param1: OGRLayerH): cint; cdecl; external gdallib;
function OGR_L_GetRefCount(param1: OGRLayerH): cint; cdecl; external gdallib;
function OGR_L_SyncToDisk(param1: OGRLayerH): OGRErr; cdecl; external gdallib;
function OGR_L_GetFeaturesRead(param1: OGRLayerH): GIntBig; cdecl; external gdallib;
function OGR_L_GetFIDColumn(param1: OGRLayerH): charPtr; cdecl; external gdallib;
function OGR_L_GetGeometryColumn(param1: OGRLayerH): charPtr; cdecl; external gdallib;
function OGR_L_GetStyleTable(param1: OGRLayerH): OGRStyleTableH; cdecl; external gdallib;
procedure OGR_L_SetStyleTableDirectly(param1: OGRLayerH; param2: OGRStyleTableH); cdecl; external gdallib;
procedure OGR_L_SetStyleTable(param1: OGRLayerH; param2: OGRStyleTableH); cdecl; external gdallib;
function OGR_L_SetIgnoredFields(param1: OGRLayerH; param2: charPtrPtr): OGRErr; cdecl; external gdallib;
function OGR_L_Intersection(param1: OGRLayerH; param2: OGRLayerH; param3: OGRLayerH; param4: charPtrPtr; param5: GDALProgressFunc; param6: pointer): OGRErr; cdecl; external gdallib;
function OGR_L_Union(param1: OGRLayerH; param2: OGRLayerH; param3: OGRLayerH; param4: charPtrPtr; param5: GDALProgressFunc; param6: pointer): OGRErr; cdecl; external gdallib;
function OGR_L_SymDifference(param1: OGRLayerH; param2: OGRLayerH; param3: OGRLayerH; param4: charPtrPtr; param5: GDALProgressFunc; param6: pointer): OGRErr; cdecl; external gdallib;
function OGR_L_Identity(param1: OGRLayerH; param2: OGRLayerH; param3: OGRLayerH; param4: charPtrPtr; param5: GDALProgressFunc; param6: pointer): OGRErr; cdecl; external gdallib;
function OGR_L_Update(param1: OGRLayerH; param2: OGRLayerH; param3: OGRLayerH; param4: charPtrPtr; param5: GDALProgressFunc; param6: pointer): OGRErr; cdecl; external gdallib;
function OGR_L_Clip(param1: OGRLayerH; param2: OGRLayerH; param3: OGRLayerH; param4: charPtrPtr; param5: GDALProgressFunc; param6: pointer): OGRErr; cdecl; external gdallib;
function OGR_L_Erase(param1: OGRLayerH; param2: OGRLayerH; param3: OGRLayerH; param4: charPtrPtr; param5: GDALProgressFunc; param6: pointer): OGRErr; cdecl; external gdallib;
procedure OGR_DS_Destroy(param1: OGRDataSourceH); cdecl; external gdallib;
function OGR_DS_GetName(param1: OGRDataSourceH): charPtr; cdecl; external gdallib;
function OGR_DS_GetLayerCount(param1: OGRDataSourceH): cint; cdecl; external gdallib;
function OGR_DS_GetLayer(param1: OGRDataSourceH; param2: cint): OGRLayerH; cdecl; external gdallib;
function OGR_DS_GetLayerByName(param1: OGRDataSourceH; param2: charPtr): OGRLayerH; cdecl; external gdallib;
function OGR_DS_DeleteLayer(param1: OGRDataSourceH; param2: cint): OGRErr; cdecl; external gdallib;
function OGR_DS_GetDriver(param1: OGRDataSourceH): OGRSFDriverH; cdecl; external gdallib;
function OGR_DS_CreateLayer(param1: OGRDataSourceH; param2: charPtr; param3: OGRSpatialReferenceH; param4: OGRwkbGeometryType; param5: charPtrPtr): OGRLayerH; cdecl; external gdallib;
function OGR_DS_CopyLayer(param1: OGRDataSourceH; param2: OGRLayerH; param3: charPtr; param4: charPtrPtr): OGRLayerH; cdecl; external gdallib;
function OGR_DS_TestCapability(param1: OGRDataSourceH; param2: charPtr): cint; cdecl; external gdallib;
function OGR_DS_ExecuteSQL(param1: OGRDataSourceH; param2: charPtr; param3: OGRGeometryH; param4: charPtr): OGRLayerH; cdecl; external gdallib;
procedure OGR_DS_ReleaseResultSet(param1: OGRDataSourceH; param2: OGRLayerH); cdecl; external gdallib;
function OGR_DS_Reference(param1: OGRDataSourceH): cint; cdecl; external gdallib;
function OGR_DS_Dereference(param1: OGRDataSourceH): cint; cdecl; external gdallib;
function OGR_DS_GetRefCount(param1: OGRDataSourceH): cint; cdecl; external gdallib;
function OGR_DS_GetSummaryRefCount(param1: OGRDataSourceH): cint; cdecl; external gdallib;
function OGR_DS_SyncToDisk(param1: OGRDataSourceH): OGRErr; cdecl; external gdallib;
function OGR_DS_GetStyleTable(param1: OGRDataSourceH): OGRStyleTableH; cdecl; external gdallib;
procedure OGR_DS_SetStyleTableDirectly(param1: OGRDataSourceH; param2: OGRStyleTableH); cdecl; external gdallib;
procedure OGR_DS_SetStyleTable(param1: OGRDataSourceH; param2: OGRStyleTableH); cdecl; external gdallib;
function OGR_Dr_GetName(param1: OGRSFDriverH): charPtr; cdecl; external gdallib;
function OGR_Dr_Open(param1: OGRSFDriverH; param2: charPtr; param3: cint): OGRDataSourceH; cdecl; external gdallib;
function OGR_Dr_TestCapability(param1: OGRSFDriverH; param2: charPtr): cint; cdecl; external gdallib;
function OGR_Dr_CreateDataSource(param1: OGRSFDriverH; param2: charPtr; param3: charPtrPtr): OGRDataSourceH; cdecl; external gdallib;
function OGR_Dr_CopyDataSource(param1: OGRSFDriverH; param2: OGRDataSourceH; param3: charPtr; param4: charPtrPtr): OGRDataSourceH; cdecl; external gdallib;
function OGR_Dr_DeleteDataSource(param1: OGRSFDriverH; param2: charPtr): OGRErr; cdecl; external gdallib;
function OGROpen(param1: charPtr; param2: cint; param3: OGRSFDriverH): OGRDataSourceH; cdecl; external gdallib;
function OGROpenShared(param1: charPtr; param2: cint; param3: OGRSFDriverH): OGRDataSourceH; cdecl; external gdallib;
function OGRReleaseDataSource(param1: OGRDataSourceH): OGRErr; cdecl; external gdallib;
procedure OGRRegisterDriver(param1: OGRSFDriverH); cdecl; external gdallib;
procedure OGRDeregisterDriver(param1: OGRSFDriverH); cdecl; external gdallib;
function OGRGetDriverCount: cint; cdecl; external gdallib;
function OGRGetDriver(param1: cint): OGRSFDriverH; cdecl; external gdallib;
function OGRGetDriverByName(param1: charPtr): OGRSFDriverH; cdecl; external gdallib;
function OGRGetOpenDSCount: cint; cdecl; external gdallib;
function OGRGetOpenDS(iDS: cint): OGRDataSourceH; cdecl; external gdallib;
procedure OGRRegisterAll; cdecl; external gdallib;
procedure OGRCleanupAll; cdecl; external gdallib;
{$endif}

{$ifdef DEBUG}
{$ifdef TYPES}
type
  OGRStyleMgrH = OpaqueType;
  OGRStyleToolH = OpaqueType;
{$endif}

{$else}
{$ifdef TYPES}
type
  OGRStyleMgrH = ^pointer;
  OGRStyleToolH = ^pointer;
{$endif}

{$endif}
{$ifdef FUNCTIONS}
function OGR_SM_Create(hStyleTable: OGRStyleTableH): OGRStyleMgrH; cdecl; external gdallib;
procedure OGR_SM_Destroy(hSM: OGRStyleMgrH); cdecl; external gdallib;
function OGR_SM_InitFromFeature(hSM: OGRStyleMgrH; hFeat: OGRFeatureH): charPtr; cdecl; external gdallib;
function OGR_SM_InitStyleString(hSM: OGRStyleMgrH; pszStyleString: charPtr): cint; cdecl; external gdallib;
function OGR_SM_GetPartCount(hSM: OGRStyleMgrH; pszStyleString: charPtr): cint; cdecl; external gdallib;
function OGR_SM_GetPart(hSM: OGRStyleMgrH; nPartId: cint; pszStyleString: charPtr): OGRStyleToolH; cdecl; external gdallib;
function OGR_SM_AddPart(hSM: OGRStyleMgrH; hST: OGRStyleToolH): cint; cdecl; external gdallib;
function OGR_SM_AddStyle(hSM: OGRStyleMgrH; pszStyleName: charPtr; pszStyleString: charPtr): cint; cdecl; external gdallib;
function OGR_ST_Create(eClassId: OGRSTClassId): OGRStyleToolH; cdecl; external gdallib;
procedure OGR_ST_Destroy(hST: OGRStyleToolH); cdecl; external gdallib;
function OGR_ST_GetType(hST: OGRStyleToolH): OGRSTClassId; cdecl; external gdallib;
function OGR_ST_GetUnit(hST: OGRStyleToolH): OGRSTUnitId; cdecl; external gdallib;
procedure OGR_ST_SetUnit(hST: OGRStyleToolH; eUnit: OGRSTUnitId; dfGroundPaperScale: double); cdecl; external gdallib;
function OGR_ST_GetParamStr(hST: OGRStyleToolH; eParam: cint; bValueIsNull: cintPtr): charPtr; cdecl; external gdallib;
function OGR_ST_GetParamNum(hST: OGRStyleToolH; eParam: cint; bValueIsNull: cintPtr): cint; cdecl; external gdallib;
function OGR_ST_GetParamDbl(hST: OGRStyleToolH; eParam: cint; bValueIsNull: cintPtr): double; cdecl; external gdallib;
procedure OGR_ST_SetParamStr(hST: OGRStyleToolH; eParam: cint; pszValue: charPtr); cdecl; external gdallib;
procedure OGR_ST_SetParamNum(hST: OGRStyleToolH; eParam: cint; nValue: cint); cdecl; external gdallib;
procedure OGR_ST_SetParamDbl(hST: OGRStyleToolH; eParam: cint; dfValue: double); cdecl; external gdallib;
function OGR_ST_GetStyleString(hST: OGRStyleToolH): charPtr; cdecl; external gdallib;
function OGR_ST_GetRGBFromString(hST: OGRStyleToolH; pszColor: charPtr; pnRed: cintPtr; pnGreen: cintPtr; pnBlue: cintPtr; pnAlpha: cintPtr): cint; cdecl; external gdallib;
function OGR_STBL_Create: OGRStyleTableH; cdecl; external gdallib;
procedure OGR_STBL_Destroy(hSTBL: OGRStyleTableH); cdecl; external gdallib;
function OGR_STBL_AddStyle(hStyleTable: OGRStyleTableH; pszName: charPtr; pszStyleString: charPtr): cint; cdecl; external gdallib;
function OGR_STBL_SaveStyleTable(hStyleTable: OGRStyleTableH; pszFilename: charPtr): cint; cdecl; external gdallib;
function OGR_STBL_LoadStyleTable(hStyleTable: OGRStyleTableH; pszFilename: charPtr): cint; cdecl; external gdallib;
function OGR_STBL_Find(hStyleTable: OGRStyleTableH; pszName: charPtr): charPtr; cdecl; external gdallib;
procedure OGR_STBL_ResetStyleStringReading(hStyleTable: OGRStyleTableH); cdecl; external gdallib;
function OGR_STBL_GetNextStyle(hStyleTable: OGRStyleTableH): charPtr; cdecl; external gdallib;
function OGR_STBL_GetLastStyleName(hStyleTable: OGRStyleTableH): charPtr; cdecl; external gdallib;
{$endif}

{$endif}
