{
This unit has been produced by ws_helper.
  Input unit name : "ndfdXML".
  This unit name  : "ndfdXML".
  Date            : "21-2-17 17:46:04".
}
unit ndfdXML;
{$IFDEF FPC}
  {$mode objfpc} {$H+}
{$ENDIF}
{$DEFINE WST_RECORD_RTTI}
interface

uses SysUtils, Classes, TypInfo, base_service_intf, service_intf;

const
  sNAME_SPACE = 'http://graphical.weather.gov/xml/DWMLgen/wsdl/ndfdXML.wsdl';
  sUNIT_NAME = 'ndfdXML';

type

  weatherParametersType = class;

  weatherParametersType = class(TBaseComplexRemotable)
  private
    Fmaxt : boolean;
    Fmint : boolean;
    Ftemp : boolean;
    Fdew : boolean;
    Fpop12 : boolean;
    Fqpf : boolean;
    Fsky : boolean;
    Fsnow : boolean;
    Fwspd : boolean;
    Fwdir : boolean;
    Fwx : boolean;
    Fwaveh : boolean;
    Ficons : boolean;
    Frh : boolean;
    Fappt : boolean;
    Fincw34 : boolean;
    Fincw50 : boolean;
    Fincw64 : boolean;
    Fcumw34 : boolean;
    Fcumw50 : boolean;
    Fcumw64 : boolean;
    Fcritfireo : boolean;
    Fdryfireo : boolean;
    Fconhazo : boolean;
    Fptornado : boolean;
    Fphail : boolean;
    Fptstmwinds : boolean;
    Fpxtornado : boolean;
    Fpxhail : boolean;
    Fpxtstmwinds : boolean;
    Fptotsvrtstm : boolean;
    Fpxtotsvrtstm : boolean;
    Ftmpabv14d : boolean;
    Ftmpblw14d : boolean;
    Ftmpabv30d : boolean;
    Ftmpblw30d : boolean;
    Ftmpabv90d : boolean;
    Ftmpblw90d : boolean;
    Fprcpabv14d : boolean;
    Fprcpblw14d : boolean;
    Fprcpabv30d : boolean;
    Fprcpblw30d : boolean;
    Fprcpabv90d : boolean;
    Fprcpblw90d : boolean;
    Fprecipa_r : boolean;
    Fsky_r : boolean;
    Ftd_r : boolean;
    Ftemp_r : boolean;
    Fwdir_r : boolean;
    Fwspd_r : boolean;
    Fwwa : boolean;
    Fwgust : boolean;
    Ficeaccum : boolean;
    Fmaxrh : boolean;
    Fminrh : boolean;
  published
    property maxt : boolean read Fmaxt write Fmaxt;
    property mint : boolean read Fmint write Fmint;
    property temp : boolean read Ftemp write Ftemp;
    property dew : boolean read Fdew write Fdew;
    property pop12 : boolean read Fpop12 write Fpop12;
    property qpf : boolean read Fqpf write Fqpf;
    property sky : boolean read Fsky write Fsky;
    property snow : boolean read Fsnow write Fsnow;
    property wspd : boolean read Fwspd write Fwspd;
    property wdir : boolean read Fwdir write Fwdir;
    property wx : boolean read Fwx write Fwx;
    property waveh : boolean read Fwaveh write Fwaveh;
    property icons : boolean read Ficons write Ficons;
    property rh : boolean read Frh write Frh;
    property appt : boolean read Fappt write Fappt;
    property incw34 : boolean read Fincw34 write Fincw34;
    property incw50 : boolean read Fincw50 write Fincw50;
    property incw64 : boolean read Fincw64 write Fincw64;
    property cumw34 : boolean read Fcumw34 write Fcumw34;
    property cumw50 : boolean read Fcumw50 write Fcumw50;
    property cumw64 : boolean read Fcumw64 write Fcumw64;
    property critfireo : boolean read Fcritfireo write Fcritfireo;
    property dryfireo : boolean read Fdryfireo write Fdryfireo;
    property conhazo : boolean read Fconhazo write Fconhazo;
    property ptornado : boolean read Fptornado write Fptornado;
    property phail : boolean read Fphail write Fphail;
    property ptstmwinds : boolean read Fptstmwinds write Fptstmwinds;
    property pxtornado : boolean read Fpxtornado write Fpxtornado;
    property pxhail : boolean read Fpxhail write Fpxhail;
    property pxtstmwinds : boolean read Fpxtstmwinds write Fpxtstmwinds;
    property ptotsvrtstm : boolean read Fptotsvrtstm write Fptotsvrtstm;
    property pxtotsvrtstm : boolean read Fpxtotsvrtstm write Fpxtotsvrtstm;
    property tmpabv14d : boolean read Ftmpabv14d write Ftmpabv14d;
    property tmpblw14d : boolean read Ftmpblw14d write Ftmpblw14d;
    property tmpabv30d : boolean read Ftmpabv30d write Ftmpabv30d;
    property tmpblw30d : boolean read Ftmpblw30d write Ftmpblw30d;
    property tmpabv90d : boolean read Ftmpabv90d write Ftmpabv90d;
    property tmpblw90d : boolean read Ftmpblw90d write Ftmpblw90d;
    property prcpabv14d : boolean read Fprcpabv14d write Fprcpabv14d;
    property prcpblw14d : boolean read Fprcpblw14d write Fprcpblw14d;
    property prcpabv30d : boolean read Fprcpabv30d write Fprcpabv30d;
    property prcpblw30d : boolean read Fprcpblw30d write Fprcpblw30d;
    property prcpabv90d : boolean read Fprcpabv90d write Fprcpabv90d;
    property prcpblw90d : boolean read Fprcpblw90d write Fprcpblw90d;
    property precipa_r : boolean read Fprecipa_r write Fprecipa_r;
    property sky_r : boolean read Fsky_r write Fsky_r;
    property td_r : boolean read Ftd_r write Ftd_r;
    property temp_r : boolean read Ftemp_r write Ftemp_r;
    property wdir_r : boolean read Fwdir_r write Fwdir_r;
    property wspd_r : boolean read Fwspd_r write Fwspd_r;
    property wwa : boolean read Fwwa write Fwwa;
    property wgust : boolean read Fwgust write Fwgust;
    property iceaccum : boolean read Ficeaccum write Ficeaccum;
    property maxrh : boolean read Fmaxrh write Fmaxrh;
    property minrh : boolean read Fminrh write Fminrh;
  end;

  ndfdXMLPortType = interface(IInvokable)
    ['{2B380EEF-1939-AEAE-F5EC-52D814BDABE6}']
    function NDFDgen(
      const  latitude : Currency; 
      const  longitude : Currency; 
      const  product : string; 
      const  startTime : TDateTimeRemotable; 
      const  endTime : TDateTimeRemotable; 
      const  _Unit : string; 
      const  weatherParameters : weatherParametersType
    ):string;
    function NDFDgenLatLonList(
      const  listLatLon : string; 
      const  product : string; 
      const  startTime : TDateTimeRemotable; 
      const  endTime : TDateTimeRemotable; 
      const  _Unit : string; 
      const  weatherParameters : weatherParametersType
    ):string;
    function LatLonListSubgrid(
      const  lowerLeftLatitude : Currency; 
      const  lowerLeftLongitude : Currency; 
      const  upperRightLatitude : Currency; 
      const  upperRightLongitude : Currency; 
      const  resolution : Currency
    ):string;
    function LatLonListLine(
      const  endPoint1Lat : Currency; 
      const  endPoint1Lon : Currency; 
      const  endPoint2Lat : Currency; 
      const  endPoint2Lon : Currency
    ):string;
    function LatLonListZipCode(
      const  zipCodeList : string
    ):string;
    function LatLonListCityNames(
      const  displayLevel : integer
    ):string;
    function LatLonListSquare(
      const  centerPointLat : Currency; 
      const  centerPointLon : Currency; 
      const  distanceLat : Currency; 
      const  distanceLon : Currency; 
      const  resolution : Currency
    ):string;
    function CornerPoints(
      const  sector : string
    ):string;
    function GmlLatLonList(
      const  listLatLon : string; 
      const  requestedTime : TDateTimeRemotable; 
      const  featureType : string; 
      const  weatherParameters : weatherParametersType
    ):string;
    function GmlTimeSeries(
      const  listLatLon : string; 
      const  startTime : TDateTimeRemotable; 
      const  endTime : TDateTimeRemotable; 
      const  compType : string; 
      const  featureType : string; 
      const  propertyName : string
    ):string;
    function NDFDgenByDay(
      const  latitude : Currency; 
      const  longitude : Currency; 
      const  startDate : TDateRemotable; 
      const  numDays : integer; 
      const  _Unit : string; 
      const  format : string
    ):string;
    function NDFDgenByDayLatLonList(
      const  listLatLon : string; 
      const  startDate : TDateRemotable; 
      const  numDays : integer; 
      const  _Unit : string; 
      const  format : string
    ):string;
  end;

  procedure Register_ndfdXML_ServiceMetadata();

Implementation
uses metadata_repository, record_rtti, wst_types;


procedure Register_ndfdXML_ServiceMetadata();
var
  mm : IModuleMetadataMngr;
begin
  mm := GetModuleMetadataMngr();
  mm.SetRepositoryNameSpace(sUNIT_NAME, sNAME_SPACE);
  mm.SetServiceCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'TRANSPORT_Address',
    'https://graphical.weather.gov:443/xml/SOAP_server/ndfdXMLserver.php'
  );
  mm.SetServiceCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'FORMAT_Style',
    'rpc'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgen',
    '_E_N_',
    'NDFDgen'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgen',
    'style',
    'rpc'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgen',
    'TRANSPORT_soapAction',
    'http://graphical.weather.gov/xml/DWMLgen/wsdl/ndfdXML.wsdl#NDFDgen'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgen',
    'FORMAT_Input_EncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgen',
    'FORMAT_OutputEncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgenLatLonList',
    '_E_N_',
    'NDFDgenLatLonList'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgenLatLonList',
    'style',
    'rpc'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgenLatLonList',
    'TRANSPORT_soapAction',
    'http://graphical.weather.gov/xml/DWMLgen/wsdl/ndfdXML.wsdl#NDFDgenLatLonList'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgenLatLonList',
    'FORMAT_Input_EncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgenLatLonList',
    'FORMAT_OutputEncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListSubgrid',
    '_E_N_',
    'LatLonListSubgrid'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListSubgrid',
    'style',
    'rpc'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListSubgrid',
    'TRANSPORT_soapAction',
    'http://graphical.weather.gov/xml/DWMLgen/wsdl/ndfdXML.wsdl#LatLonListSubgrid'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListSubgrid',
    'FORMAT_Input_EncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListSubgrid',
    'FORMAT_OutputEncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListLine',
    '_E_N_',
    'LatLonListLine'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListLine',
    'style',
    'rpc'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListLine',
    'TRANSPORT_soapAction',
    'http://graphical.weather.gov/xml/DWMLgen/wsdl/ndfdXML.wsdl#LatLonListLine'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListLine',
    'FORMAT_Input_EncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListLine',
    'FORMAT_OutputEncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListZipCode',
    '_E_N_',
    'LatLonListZipCode'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListZipCode',
    'style',
    'rpc'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListZipCode',
    'TRANSPORT_soapAction',
    'http://graphical.weather.gov/xml/DWMLgen/wsdl/ndfdXML.wsdl#LatLonListZipCode'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListZipCode',
    'FORMAT_Input_EncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListZipCode',
    'FORMAT_OutputEncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListCityNames',
    '_E_N_',
    'LatLonListCityNames'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListCityNames',
    'style',
    'rpc'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListCityNames',
    'TRANSPORT_soapAction',
    'http://graphical.weather.gov/xml/DWMLgen/wsdl/ndfdXML.wsdl#LatLonListCityNames'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListCityNames',
    'FORMAT_Input_EncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListCityNames',
    'FORMAT_OutputEncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListSquare',
    '_E_N_',
    'LatLonListSquare'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListSquare',
    'style',
    'rpc'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListSquare',
    'TRANSPORT_soapAction',
    'http://graphical.weather.gov/xml/DWMLgen/wsdl/ndfdXML.wsdl#LatLonListSquare'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListSquare',
    'FORMAT_Input_EncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'LatLonListSquare',
    'FORMAT_OutputEncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'CornerPoints',
    '_E_N_',
    'CornerPoints'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'CornerPoints',
    'style',
    'rpc'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'CornerPoints',
    'TRANSPORT_soapAction',
    'http://graphical.weather.gov/xml/DWMLgen/wsdl/ndfdXML.wsdl#CornerPoints'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'CornerPoints',
    'FORMAT_Input_EncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'CornerPoints',
    'FORMAT_OutputEncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'GmlLatLonList',
    '_E_N_',
    'GmlLatLonList'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'GmlLatLonList',
    'style',
    'rpc'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'GmlLatLonList',
    'TRANSPORT_soapAction',
    'http://graphical.weather.gov/xml/DWMLgen/wsdl/ndfdXML.wsdl#GmlLatLonList'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'GmlLatLonList',
    'FORMAT_Input_EncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'GmlLatLonList',
    'FORMAT_OutputEncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'GmlTimeSeries',
    '_E_N_',
    'GmlTimeSeries'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'GmlTimeSeries',
    'style',
    'rpc'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'GmlTimeSeries',
    'TRANSPORT_soapAction',
    'http://graphical.weather.gov/xml/DWMLgen/wsdl/ndfdXML.wsdl#GmlTimeSeries'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'GmlTimeSeries',
    'FORMAT_Input_EncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'GmlTimeSeries',
    'FORMAT_OutputEncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgenByDay',
    '_E_N_',
    'NDFDgenByDay'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgenByDay',
    'style',
    'rpc'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgenByDay',
    'TRANSPORT_soapAction',
    'http://graphical.weather.gov/xml/DWMLgen/wsdl/ndfdXML.wsdl#NDFDgenByDay'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgenByDay',
    'FORMAT_Input_EncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgenByDay',
    'FORMAT_OutputEncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgenByDayLatLonList',
    '_E_N_',
    'NDFDgenByDayLatLonList'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgenByDayLatLonList',
    'style',
    'rpc'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgenByDayLatLonList',
    'TRANSPORT_soapAction',
    'http://graphical.weather.gov/xml/DWMLgen/wsdl/ndfdXML.wsdl#NDFDgenByDayLatLonList'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgenByDayLatLonList',
    'FORMAT_Input_EncodingStyle',
    'encoded'
  );
  mm.SetOperationCustomData(
    sUNIT_NAME,
    'ndfdXMLPortType',
    'NDFDgenByDayLatLonList',
    'FORMAT_OutputEncodingStyle',
    'encoded'
  );
end;


var
  typeRegistryInstance : TTypeRegistry = nil;
initialization
  typeRegistryInstance := GetTypeRegistry();

  typeRegistryInstance.Register(sNAME_SPACE,TypeInfo(weatherParametersType),'weatherParametersType');



End.
