program testndfd;

{$IFDEF FPC}
 {$mode objfpc}{$H+}
{$ELSE}
 {$APPTYPE CONSOLE}
{$ENDIF}

uses
  SysUtils,
  NdfdForecast;

var
  Fcst   : TNdfdForecast;
  DayNum : Integer;
begin
  Fcst := TNdfdForecast.Create;
  try
    if not Fcst.LoadForecast('37.81', '-107.66', False) then  //Silverton, CO's lat/lon
      begin
      WriteLn(Fcst.ErrorMsg);
      Exit;
      end;
    for DayNum := 1 to MaxNdfdFcstDays do
      WriteLn('Forecast day ', DayNum, ': High ', Fcst.MaxTemp[DayNum], 
              ', Low ', Fcst.MinTemp[DayNum]);
  finally
    Fcst.Free;
  end;
end.
